# Class Substitution.SubstitutionElement

java.lang.Object
org.apache.catalina.valves.rewrite.Substitution.SubstitutionElement

Direct Known Subclasses:
  `Substitution.MapElement, Substitution.RewriteCondBackReferenceElement, Substitution.RewriteRuleBackReferenceElement, Substitution.ServerVariableElement, Substitution.ServerVariableEnvElement, Substitution.ServerVariableHttpElement, Substitution.ServerVariableSslElement, Substitution.StaticElement`

Enclosing class:
  `Substitution`

public abstract static class Substitution.SubstitutionElement extends Object

## Constructor Summary

Constructors
Constructor
Description
`SubstitutionElement()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`evaluate(Matcher rule, Matcher cond, Resolver resolver)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstitutionElement

public SubstitutionElement()

## Method Details

### evaluate

public abstract String evaluate(Matcher rule, Matcher cond, Resolver resolver)